## ros-one-ackermann-steering-controller 0.22.0-0jammy.20251023.0954

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ackermann_steering_controller)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  controller_interface
  diff_drive_controller
  hardware_interface
  nav_msgs
  pluginlib
  realtime_tools
  roscpp
  tf
)

find_package(Boost REQUIRED)

find_package(urdfdom REQUIRED)

# Declare a catkin package
catkin_package(
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS
    controller_interface
    diff_drive_controller
    hardware_interface
    nav_msgs
    realtime_tools
    roscpp
    tf
)

###########
## Build ##
###########

# Specify header include paths
include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${urdfdom_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME} src/ackermann_steering_controller.cpp src/odometry.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES})

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(controller_manager REQUIRED)
  find_package(controller_manager_msgs REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(std_srvs REQUIRED)
  find_package(rostest REQUIRED)

  include_directories(
    ${controller_manager_INCLUDE_DIRS}
    ${controller_manager_msgs_INCLUDE_DIRS}
    ${std_msgs_INCLUDE_DIRS}
    ${std_srvs_INCLUDE_DIRS}
  )

  set(test_LIBRARIES
    ${controller_manager_LIBRARIES}
    ${controller_manager_msgs_LIBRARIES}
    ${std_msgs_LIBRARIES}
    ${std_srvs_LIBRARIES}
  )

  add_executable(${PROJECT_NAME}_ackermann_steering_bot test/common/src/ackermann_steering_bot.cpp)
  add_dependencies(tests ${PROJECT_NAME}_ackermann_steering_bot)
  target_link_libraries(${PROJECT_NAME}_ackermann_steering_bot ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_test
    test/ackermann_steering_controller_test/ackermann_steering_controller.test
    test/ackermann_steering_controller_test/ackermann_steering_controller_test.cpp)
  target_link_libraries(${PROJECT_NAME}_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_nan_test
    test/ackermann_steering_controller_nan_test/ackermann_steering_controller_nan.test
    test/ackermann_steering_controller_nan_test/ackermann_steering_controller_nan_test.cpp)
  target_link_libraries(${PROJECT_NAME}_nan_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_limits_test
    test/ackermann_steering_controller_limits_test/ackermann_steering_controller_limits.test
    test/ackermann_steering_controller_limits_test/ackermann_steering_controller_limits_test.cpp)
  target_link_libraries(${PROJECT_NAME}_limits_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_timeout_test
    test/ackermann_steering_controller_timeout_test/ackermann_steering_controller_timeout.test
    test/ackermann_steering_controller_timeout_test/ackermann_steering_controller_timeout_test.cpp)
  target_link_libraries(${PROJECT_NAME}_timeout_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(ackermann_steering_controller_fail_test
    test/ackermann_steering_controller_fail_test/ackermann_steering_controller_wrong.test
    test/ackermann_steering_controller_fail_test/ackermann_steering_controller_fail_test.cpp)
  target_link_libraries(ackermann_steering_controller_fail_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_odom_tf_test
    test/ackermann_steering_controller_odom_tf_test/ackermann_steering_controller_odom_tf.test
    test/ackermann_steering_controller_odom_tf_test/ackermann_steering_controller_odom_tf_test.cpp)
  target_link_libraries(${PROJECT_NAME}_odom_tf_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(${PROJECT_NAME}_default_odom_frame_test
    test/ackermann_steering_controller_default_odom_frame_test/ackermann_steering_controller_default_odom_frame.test
    test/ackermann_steering_controller_default_odom_frame_test/ackermann_steering_controller_default_odom_frame_test.cpp)
  target_link_libraries(${PROJECT_NAME}_default_odom_frame_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest_gtest(ackermann_steering_controller_odom_frame_test
    test/ackermann_steering_controller_odom_frame_test/ackermann_steering_controller_odom_frame.test
    test/ackermann_steering_controller_odom_frame_test/ackermann_steering_controller_odom_frame_test.cpp)
  target_link_libraries(ackermann_steering_controller_odom_frame_test ${catkin_LIBRARIES} ${test_LIBRARIES})

  add_rostest(test/ackermann_steering_controller_open_loop_test/ackermann_steering_controller_open_loop.test)
  add_rostest(test/ackermann_steering_controller_no_wheel_test/ackermann_steering_controller_no_wheel.test)
  add_rostest(test/ackermann_steering_controller_no_steer_test/ackermann_steering_controller_no_steer.test)
  add_rostest(test/ackermann_steering_controller_radius_param_test/ackermann_steering_controller_radius_param.test)
  add_rostest(test/ackermann_steering_controller_radius_param_fail_test/ackermann_steering_controller_radius_param_fail.test)
  add_rostest(test/ackermann_steering_controller_separation_param_test/ackermann_steering_controller_separation_param.test)
endif()

#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install plugins
install(FILES ${PROJECT_NAME}_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20251023.0954) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 23 Oct 2025 09:54:52 +0000

ros-one-ackermann-steering-controller (0.22.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 22 May 2024 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.1-0jammy) jammy; urgency=high

  * Don't hardcode plugin library path
  * Install headers of ackermann_steering_controller
  * Contributors: Jochen Sprickerhof, Martin Pecka

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.0-0jammy) jammy; urgency=high

  * Switch to hpp headers of pluginlib
  * std::bind and placeholders instead of boost
  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.20.0-0jammy) jammy; urgency=high

  * Drop old C++ standard
  * Updated ackermann_steering_controller tests launch file to use robot_state_publisher rather than state_publisher which is no longer available in Noetic.
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter, Tony Baltovski

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 06 May 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.19.0-0jammy) jammy; urgency=high

  * Wait long enough for accumulator to be cleared
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.1-0jammy) jammy; urgency=high

  * Use version-agnostic FindBoost for headers
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.0-0jammy) jammy; urgency=high

  * Fix dependency on Boost
  * Clean dependencies of diff_drive_controller package
  * Remove (unneeded?) dependencies on rosunit and gtest
  * Format package.xml and CMakeLists.txt according to ros_control pkgs
  * Clean dependencies of ackermann_steering_controller pkg
  * Contributors: Mateus Amarante

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.17.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 12 May 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.1-0jammy) jammy; urgency=high

  * Remove gazebo_ros test dependency
  * Contributors: Bence Magyar

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.0-0jammy) jammy; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.1-0jammy) jammy; urgency=high

  * Fix test for ackermann_steering_controller
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Update null link pointer error message
  * removed cyclic debug output from ackermann_steering_bot
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Bence Magyar, Immanuel Martini, Mathias Lüdtke, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.0-0jammy) jammy; urgency=high

  * Default all controller builds to C++14
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.3-0jammy) jammy; urgency=high

  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori
  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.1-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.0-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.2-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.1-0jammy) jammy; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000



=== debian/control ===
Source: ros-one-ackermann-steering-controller
Section: misc
Priority: optional
Maintainer: Masaru Morita <p595201m@mail.kyutech.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, liburdfdom-dev, ros-one-catkin, ros-one-controller-interface, ros-one-diff-drive-controller, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ackermann-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, liburdfdom-dev, ros-one-controller-interface, ros-one-diff-drive-controller, ros-one-hardware-interface, ros-one-nav-msgs, ros-one-pluginlib, ros-one-realtime-tools, ros-one-roscpp, ros-one-tf
Description: Controller for a steer drive mobile base.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ackermann-steering-controller//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ackermann-steering-controller 0.22.0-0jammy.20251207.2234

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20251207.2234) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 07 Dec 2025 22:34:24 +0000

## ros-one-ackermann-steering-controller 0.22.0-0jammy.20260221.2128

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0jammy.20260221.2128) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 21 Feb 2026 21:28:39 +0000

## ros-one-ackermann-steering-controller 0.22.0-0noble.20251208.0929

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0noble.20251208.0929) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 08 Dec 2025 09:29:18 +0000

ros-one-ackermann-steering-controller (0.22.0-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Wed, 22 May 2024 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.2-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 03 Sep 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.1-0noble) noble; urgency=high

  * Don't hardcode plugin library path
  * Install headers of ackermann_steering_controller
  * Contributors: Jochen Sprickerhof, Martin Pecka

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 31 Jan 2023 00:00:00 -0000

ros-one-ackermann-steering-controller (0.21.0-0noble) noble; urgency=high

  * Switch to hpp headers of pluginlib
  * std::bind and placeholders instead of boost
  * use boost::placeholders::_1/_2 in remaining instances, include boost/bind/bind.hpp instead of boost/bind.hpp, eliminated unnecessary bind.hpp include
  * Contributors: Jochen Sprickerhof, Lucas Walter

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 21 Oct 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.20.0-0noble) noble; urgency=high

  * Drop old C++ standard
  * Updated ackermann_steering_controller tests launch file to use robot_state_publisher rather than state_publisher which is no longer available in Noetic.
  * Add <?xml version=1.0?> to every .launch and .test file
  * Contributors: Jochen Sprickerhof, Lucas Walter, Tony Baltovski

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 06 May 2022 00:00:00 -0000

ros-one-ackermann-steering-controller (0.19.0-0noble) noble; urgency=high

  * Wait long enough for accumulator to be cleared
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 13 Jun 2021 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.1-0noble) noble; urgency=high

  * Use version-agnostic FindBoost for headers
  * Contributors: Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 03 Dec 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.18.0-0noble) noble; urgency=high

  * Fix dependency on Boost
  * Clean dependencies of diff_drive_controller package
  * Remove (unneeded?) dependencies on rosunit and gtest
  * Format package.xml and CMakeLists.txt according to ros_control pkgs
  * Clean dependencies of ackermann_steering_controller pkg
  * Contributors: Mateus Amarante

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sun, 11 Oct 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.17.0-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 12 May 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.1-0noble) noble; urgency=high

  * Remove gazebo_ros test dependency
  * Contributors: Bence Magyar

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 27 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.16.0-0noble) noble; urgency=high

  * Bump CMake version to prevent CMP0048
  * Add missing header guards
  * Replace header guard with #pragma once
  * Prefix every xacro tag with 'xacro:'
  * Modernize xacro
    - Remove '--inorder'
    - Use 'xacro' over 'xacro.py'
  * swap implementations of read and write methods
    Follows the intended use of hardware_interface::RobotHW,
    see its documentation for details
  * Contributors: Franz, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.1-0noble) noble; urgency=high

  * Fix test for ackermann_steering_controller
  * Use nullptr (#447 <https://github.com/ros-controls/ros_controllers/issues/447>)
  * Update null link pointer error message
  * removed cyclic debug output from ackermann_steering_bot
  * add include directories for tests in {ackermann/four_wheel}_steering_controller
  * Contributors: Bence Magyar, Immanuel Martini, Mathias Lüdtke, Matt Reynolds

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 09 Mar 2020 00:00:00 -0000

ros-one-ackermann-steering-controller (0.15.0-0noble) noble; urgency=high

  * Default all controller builds to C++14
  * boost::assign -> C++ initializer list
  * boost::shared_ptr -> std::shared_ptr
  * Contributors: Bence Magyar, Gennaro Raiola

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Mar 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.3-0noble) noble; urgency=high

  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori
  * Sync version number with rest of repo
  * migrate to new URDF shared pointer types
  * Add ackermann_steering_controller (#356 <https://github.com/ros-controls/ros_controllers/issues/356>)
  * Contributors: Bence Magyar, Mathias Lüdtke, Mori

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 09 Feb 2019 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.2-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 23 Oct 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.1-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Tue, 26 Jun 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.14.0-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Fri, 27 Apr 2018 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.2-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 23 Dec 2017 00:00:00 -0000

ros-one-ackermann-steering-controller (0.13.1-0noble) noble; urgency=high



 -- Masaru Morita <p595201m@mail.kyutech.jp>  Mon, 06 Nov 2017 00:00:00 -0000



## ros-one-ackermann-steering-controller 0.22.0-0noble.20260221.2216

=== debian/changelog ===
ros-one-ackermann-steering-controller (0.22.0-0noble.20260221.2216) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Masaru Morita <p595201m@mail.kyutech.jp>  Sat, 21 Feb 2026 22:16:08 +0000
